package app.dao;

import org.seasar.dao.annotation.tiger.Query;
import org.seasar.dao.annotation.tiger.S2Dao;
import org.seasar.dao.annotation.tiger.Sql;

import app.entity.Test1Entity;

@S2Dao(bean = Test1Entity.class)
public interface Test1Dao {

	@Query("id = /*id*/")
	Test1Entity select(int id);

	void insert(Test1Entity test1Entity);
	
	void update(Test1Entity test1Entity);

	void delete(Test1Entity test1Entity);
	
	@Sql("SELECT count(*) FROM Test1")
	public int getCount();

}
