package app.entity;

import org.seasar.dao.annotation.tiger.Bean;
import org.seasar.dao.annotation.tiger.Column;
import org.seasar.dao.annotation.tiger.Id;
import org.seasar.dao.annotation.tiger.IdType;

@Bean(table="test1")
public class Test1Entity {

    private int id;

    private int value;

    private int versionNo;

    /**
     * @return the id
     */
    @Column("id")
    public int getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    @Id(value = IdType.IDENTITY)
    public void setId(int id) {
        this.id = id;
    }

    /**
     * @return the value
     */
    @Column("value")
    public int getValue() {
        return value;
    }

    /**
     * @param value the value to set
     */
    public void setValue(int value) {
        this.value = value;
    }

    /**
     * @return the versionNo
     */
    @Column("versionNo")
    public int getVersionNo() {
        return versionNo;
    }

    /**
     * @param versionNo the versionNo to set
     */
    public void setVersionNo(int versionNo) {
        this.versionNo = versionNo;
    }

}
