package app.service.impl;

import javax.annotation.Resource;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import app.dao.Test1Dao;
import app.entity.Test1Entity;
import app.service.Test2Service;
import app.service.Test3Service;

public class Test2ServiceImpl implements Test2Service {

	private static Log LOG = LogFactory.getLog(Test2ServiceImpl.class);

	@Resource
	private Test1Dao test1Dao;

	@Resource Test3Service test3Service;
	
	@TransactionAttribute(TransactionAttributeType.REQUIRED)
	public void requiredRequired_2(Test1Entity test1Entity) {
		this.test1Dao.insert(test1Entity);
	}

	@TransactionAttribute(TransactionAttributeType.REQUIRED)
	public void requiredRequiredRollback_2(Test1Entity test1Entity) {
		this.test1Dao.insert(test1Entity);

		try{
			this.test3Service.requiredRequiredRollback_3(test1Entity);
		}catch(Exception e){
			LOG.info("gUNV[obN̂߂̎OLb`ăX[Ȃ");
		}
	}

	@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
	public void requiredRequiresNew_2(Test1Entity test1Entity) {
		this.test1Dao.insert(test1Entity);
	}

	@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
	public void requiredRequiresNewRollback1_1_2(Test1Entity test1Entity) {
		this.test1Dao.insert(test1Entity);

//		try{
			this.test3Service.requiredRequiresNewRollback1_1_3(test1Entity);
//		}catch(Exception e){
//			LOG.info("gUNV[obN̂߂̎OLb`ăX[Ȃ");
//		}
	}

	@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
	public void requiredRequiresNewRollback1_2_2(Test1Entity test1Entity) {
		this.test1Dao.insert(test1Entity);

		try{
			this.test3Service.requiredRequiresNewRollback1_2_3(test1Entity);
		}catch(Exception e){
			LOG.info("gUNV[obN̂߂̎OLb`ăX[Ȃ");
		}
	}
	
	@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
	public void requiredRequiresNewRollback2_2(Test1Entity test1Entity) {
		this.test1Dao.insert(test1Entity);
	}

	@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
	public void requiredRequiresNewRollback3_2(Test1Entity test1Entity) {
		this.test1Dao.insert(test1Entity);

		try{
			this.test3Service.requiredRequiresNewRollback3_3(test1Entity);
		}catch(Exception e){
			LOG.info("gUNV[obN̂߂̎OLb`ăX[Ȃ");
		}
	}

}
