package app.action;

import javax.annotation.Resource;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.seasar.struts.annotation.ActionForm;
import org.seasar.struts.annotation.Execute;

import app.entity.Test1Entity;
import app.form.MenuForm;
import app.service.Test1Service;

public class MenuAction {

	private static Log LOG = LogFactory.getLog(MenuAction.class);

	@ActionForm
	@Resource
	protected MenuForm menuForm;

	@Resource
	private Test1Service test1Service;

	@Execute(validator = false)
	public String index() {

		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}

	@Execute(validator = false)
	public String requiredRequired() {

		// Kȃf[^쐬
		Test1Entity test1Entity = new Test1Entity();
		test1Entity.setValue(1);

		// Insert
		this.test1Service.requiredRequired_1(test1Entity);

		// JEg擾
		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}

	@Execute(validator = false)
	public String requiredRequiredRollback() {

		// Kȃf[^쐬
		Test1Entity test1Entity = new Test1Entity();
		test1Entity.setValue(1);

		// Insert
		try {
			this.test1Service.requiredRequiredRollback_1(test1Entity);
		} catch (Exception e) {
			LOG.info("gUNV[obN̂߂̎OLb`ăX[Ȃ");
		}

		// JEg擾
		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}

	@Execute(validator = false)
	public String requiredRequiresNew() {

		// Kȃf[^쐬
		Test1Entity test1Entity = new Test1Entity();
		test1Entity.setValue(1);

		// Insert
		this.test1Service.requiredRequiresNew_1(test1Entity);

		// JEg擾
		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}

	@Execute(validator = false)
	public String requiredRequiresNewRollback1_1() {

		// Kȃf[^쐬
		Test1Entity test1Entity = new Test1Entity();
		test1Entity.setValue(1);

		// Insert
		this.test1Service.requiredRequiresNewRollback1_1_1(test1Entity);

		// JEg擾
		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}

	@Execute(validator = false)
	public String requiredRequiresNewRollback1_2() {

		// Kȃf[^쐬
		Test1Entity test1Entity = new Test1Entity();
		test1Entity.setValue(1);

		// Insert
		this.test1Service.requiredRequiresNewRollback1_2_1(test1Entity);

		// JEg擾
		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}	
	
	@Execute(validator = false)
	public String requiredRequiresNewRollback2() {

		// Kȃf[^쐬
		Test1Entity test1Entity = new Test1Entity();
		test1Entity.setValue(1);

		// Insert
		try {
			this.test1Service.requiredRequiresNewRollback2_1(test1Entity);
		} catch (Exception e) {
			LOG.info("gUNV[obN̂߂̎OLb`ăX[Ȃ");
		}

		// JEg擾
		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}

	@Execute(validator = false)
	public String requiredRequiresNewRollback3() {

		// Kȃf[^쐬
		Test1Entity test1Entity = new Test1Entity();
		test1Entity.setValue(1);

		// Insert
		try {
			this.test1Service.requiredRequiresNewRollback3_1(test1Entity);
		} catch (Exception e) {
			LOG.info("gUNV[obN̂߂̎OLb`ăX[Ȃ");
		}

		// JEg擾
		int count = this.test1Service.getCount();

		this.menuForm.setCount(Integer.toString(count));

		return "/menu.jsp";
	}
}
